# Uses of Interface
javax.sql.RowSetListener

Packages that use RowSetListener
Package
Description
javax.sql
Provides the API for server side data source access and processing from the Java programming language.
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.

## Uses of RowSetListener in javax.sql

Methods in javax.sql with parameters of type RowSetListener
Modifier and Type
Method
Description
`void`
RowSet.`addRowSetListener(RowSetListener listener)`
Registers the given listener so that it will be notified of events that occur on this `RowSet` object.
`void`
RowSet.`removeRowSetListener(RowSetListener listener)`
Removes the specified listener from the list of components that will be notified when an event occurs on this `RowSet` object.

## Uses of RowSetListener in javax.sql.rowset

Methods in javax.sql.rowset with parameters of type RowSetListener
Modifier and Type
Method
Description
`void`
BaseRowSet.`addRowSetListener(RowSetListener listener)`
The listener will be notified whenever an event occurs on this `RowSet` object.
`void`
BaseRowSet.`removeRowSetListener(RowSetListener listener)`
Removes the designated object from this `RowSet` object's list of listeners.